---
title: "System switching"
description: "Working with Linux"
date: 2024-06-22
blurb: phooey...
---

I've been using Linux exclusively for the past 3 months and the switch to it has been pretty fun!

My main "worries" and/or misconceptions before getting into it were:

* the supposed lack of programs and/or games
* learning the terminal
* learning the different directory structure
* issues with my Nvidia GPU

<section>
<p style="background-image: linear-gradient(to right, black, transparent 40ch);background-clip: text;-webkit-background-clip: text;text-fill-color: transparent;-webkit-text-fill-color: transparent; width: max-content;">I had grown tired of Windows and Microsoft as a whole yada yada—</p>
<div style="background: linear-gradient(to right, #d005, #fc2);background-clip: border-box;margin: -3ch auto 0 15ch;background-clip: text;color: transparent;width: max-content;" aria-hidden="true"><sub style="font-size: 1rem;transform: rotate(-2deg);display: inline-flex;">blah blah blah</sub>Microsoft<sup style="font-size: 1rem;transform: rotate(2deg);display: inline-flex;">yada yada</sup><b style="color: darkorange;margin: -0.6rem 0;font-size: 1.5rem;text-shadow: 5px 5px 0 #ff8c004f, 10px 10px 0 #ff8c004f;">SNORE</b></div>
</section>

**You've most likely heard this sentiment before, and no, I'm not any more special with my reasoning.**

So... the hardest part about moving is, well, how would I move to Linux? There's so many distributions of it that I've had choice paralysis trying to decide.

### Decisions

I went to set up a virtual machine to understand what I'd want out of a "new" operating system, so I tried out [Fedora Workstation](https://fedoraproject.org/#editions) at first and it felt pretty seamless, I didn't have to use the terminal for much of anything.
I tinkered with it for a couple of days before deciding to look up system/media installers for Linux distributions (that are able to be run on Windows) and coming up empty-handed, cluelessly thinking that somehow only Windows manages to offer one.

...Until I found [Debian's System Installer for Windows (win32loader)](https://wiki.debian.org/DebianInstaller/Loader), which I tried running under a Windows 11 virtual machine to see if it would fail to install, and it didn't!
So I just went ahead and installed it over my actual Windows partition (backing up my documents prior).

<aside><a href="https://github.com/ventoy/Ventoy">Ventoy</a> is able to <a href="https://www.ventoy.net/en/faq.html">boot from a HDD/SSD</a> if you are willing to sacrifice one (temporarily) to install it on there.
<hr>
<b>I didn't know this</b>, and I've hardly seen anyone bring up solutions, besides off-handed suggestions about using a flash drive—and every guide basically centering around that notion, but a flash drive is <em>not necessary.</em></aside>

I would <u>not recommend</u> installing [Debian](https://www.debian.org/) to anyone new to Linux whatsoever, or with the method I used.

Here's a little anecdote:

* * *

A number of things went wrong on my first install, like my network devices being wiped off, and as a result, being unable to update my system via apt (I thought that it was DNS causing issues or not having enough mirrors for packages), and then it was unable to boot into my desktop environment, but not before **almost deleting my entire system** because of apt deciding to delete a ton of system packages in the process of trying to get Nvidia drivers to work.

* * *

In retrospect, it's pretty fucking funny, but in the moment I was dreading the possibility of bricking my system.
...Debian! But also Nvidia's awful driver support for Linux.

I immediately started looking at other distributions after discovering that Ventoy exists and started reading about Arch.

If anything, at least I got some experience with the terminal, which I thought it'd be kinda difficult to get into hang of without guidance.

Besides Debian, so far I've tried:

* [Fedora](https://fedoraproject.org/)
    _(Aforementioned in a virtual machine. Overall very solid, might come around to using it again)_
* [Manjaro](https://manjaro.org/)
    _(Tries too hard being beginner-friendly, needed to tinker to get my Nvidia GPU to work) as of v24/Wynsdey_
* [EndeavourOS](https://endeavouros.com/)
    _(Works out of the box with my Nvidia GPU, minimal issues)_

And out of them, Endeavour has been the most comfortable experience for me, so far.

I've had to troubleshoot Manjaro a lot, due to system updates not being straight-forward (having to log out of my desktop environment and THEN updating packages via a terminal/tty) and having graphical artifacts whenever my computer would wake up from sleep. I still don't know what causes this.

### The cost of switching

A lot of the programs I was using under Windows over the years were stuff ported over from Linux.
It's personally been no cost to me with the hobbies I have, keyword: <u>personally</u>.

Here's a few programs I used before switching over, that didn't/won't have a Linux port:

<aside>If you are curious about what kind of programs Linux offers, take a look at <a href="https://apps.kde.org">KDE apps</a>, <a href="https://apps.gnome.org">GNOME apps</a> and <a href="https://flathub.org/">Flathub</a>.</aside>

* [Notepad++](https://notepad-plus-plus.org), replaced by [Kate](https://apps.kde.org/kate/)
* [paint.net](https://notepad-plus-plus.org), replaced by [GIMP](https://www.gimp.org)
* [foobar2000](https://www.foobar2000.org), replaced by [VLC media player](https://www.videolan.org)
* [Nvidia ShadowPlay](https://www.nvidia.com/en-us/geforce/geforce-experience/shadowplay/), replaced by [OBS Studio](https://obsproject.com), which I achieved by toggling "Enable Replay Buffer" in the Output settings and setting up keybinds associated.

... that being said, the programs that I do miss using from Windows are:

* [ShareX](https://getsharex.com/)
    _(screenshotting utility)_
* [Everything by voidtools](https://www.voidtools.com/)
    _(fast file search/indexer)_

ShareX is by and large the most useful tool for taking screenshots and packed with some miscellaneous multi-purpose tools inside, both [Spectacle](https://apps.kde.org/spectacle/) and [Flameshot](https://flathub.org/apps/org.flameshot.Flameshot) felt a bit lackluster in comparison.
Despite that, I've been using Spectacle and it's pretty good if I look past that.

Everything by voidtools is just muscle memory as a result of Windows's slow search indexer.
[Dolphin](https://apps.kde.org/dolphin) can list any file I know the filename of way quicker than Windows ever could.

### GAMING

Linux can run a ton of games with [Proton.](https://www.protondb.com/)
I'm not super knowledgeable about its inner workings, so I'm not gonna try to sound like I do.

...yeah I don't have much to say about this at the time of writing, I've basically been shuffling 3 games whenever I do play something lately. It's not been bad so far!
